GIT-UBUNTU-CLONE(1)

NAME
git-ubuntu-clone - Clone a Ubuntu source package repository into a new directory

SYNOPSIS
git ubuntu clone [--lp-user <user>] <package> [<directory>]

DESCRIPTION
Clones a Ubuntu source package repository given just the source package name. A remote named "pkg" will be created to track branches from the importer repository (See git-ubuntu-import for details). A remote named after the derived Launchpad user will be created for tracking their personal branches. The resulting repository is a regular git(1) repository and all normal git(1) commands can be used. See git-clone(1) for common operations after cloning.

OPTIONS

--lp-user <user>
    The Launchpad user to authenticate as for push URLs as well as the default personal remote to create. If not specified, this value is obtained from "git config --global gitubuntu.lpuser". If that config value is not set, a prompt is shown to obtain the value.

<package>
    The name of the source package to clone.

<directory>
    The name of the new directory to clone into. If not specified, a directory with the same name as <package> is used.

EXIT STATUS
git ubuntu clone exits with status 0 if the clone completes successfully. git ubuntu clone exits with nonzero exit status on errors.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/git-ubuntu .

SEE ALSO
git-ubuntu(1), git-clone(1)

GIT-UBUNTU
Part of the git-ubuntu(1) suite